<?php
//---------------------------------------------------------------------------------------------------------
// 13/Abril/2014
// Versión 1.0 Cesta de la compra
// 01/Diciembre/2015
// Versión 1.1, añadimos el widget de totales cesta
// 02/septiembre/2019
// Versión 1.2, incororpamos el js de paypal
//---------------------------------------------------------------------------------------------------------

//insertamos el js de paypal
echo( Module::paypal( array('templateFile' => 'paypaljs'), array('createOrder' => false)) );


//vamos a inicializar unas variables
$cesta = CabeceraCesta::getCart();
//Cogemos el usuario
$usuario = Usuario::logueado();
?>
<div class="columns-container">
    <div class="container contenedor_comprar">
    	<?php
    		if(count($cesta->lineas)>0){
    			?>
				<ul class="col-xs-12 hidden-md hidden-lg nav nav-tabs tabs_cesta">
				    <li class="active"><a data-toggle="tab" href="#home"><?=traducir('INICIAR SESION');?></a></li>
				    <li><a data-toggle="tab" href="#menu1"><?=traducir('VER MI CESTA');?></a></li>
				</ul>
    			<?php
    		}
    	?>

		<div class="row tab-content">
			<?php
			// escupirMiga(traducir('SU CARRITO'), false, '>'); //El segundo valor indica que quiero una miga compuesta por el servidor
			
			if(count($cesta->lineas)>0){
				//Si hay productos en la cesta, la mostramos:
			?>
				<div class="col-xs-12 col-md-6 trozo_cesta_usuario tab-pane fade in active" id="home">
					<?php
					//Si no tenemos cliente:
					if ($usuario == NULL){
						Theme::include_file('trozos_cesta_completa_acceso.php');
					}else{
						//Si ya tenemos un cliente, mostramos los datos que tenemos:
						//Theme::include_file('trozos_cesta_completa_direcciones.php');
						/*
						$opciones = new OpcionesWidget(array('ruta_fichero' => 'trozos_cesta_completa_direcciones', 'dataUpdate' => 'cart|addresses'));
						new Widget($_WH->GW('cesta_compra', 'totales_cesta'), $opciones);
						*/
						Theme::include_file('trozos_cesta_completa_direcciones.php');
						
						//Y ahora seguimos con el resto de información de la cesta
					}
					?>
				</div>
				<div class="col-xs-12 col-md-6 trozo_cesta_fija tab-pane fade" id="menu1">		
					<?php
					//cabecera cesta
					$opciones = new OpcionesWidget(array('ruta_fichero' => 'cab_cesta'));
					new Widget($_WH->GW('cesta_compra', 'totales_cesta'), $opciones);
					
					 //Vaciar
					$opciones = new OpcionesWidget(array('ruta_fichero' => 'vaciar_cesta', 'dataUpdate' => 'bloque_vaciar'));
					new Widget($_WH->GW('cesta_compra', 'totales_cesta'), $opciones);

					//Restaurar
					$opciones = new OpcionesWidget(array('fichero_restaurar' => 'restaurar_cesta', 'dataUpdate' => 'bloque_restaurar'));
					new Widget($_WH->GW('cesta_compra', 'cesta_restaurar'), $opciones);
					
					$opciones = new OpcionesWidget(array('fichero_lineas' => 'linea_cesta',  'dataUpdate' => 'bloque_lineas', 'dataUpdateLineas' => 'bloque_linea'));
					new Widget($_WH->GW('cesta_compra', 'lineas_cesta'), $opciones);

					// pie cesta   
					$opciones = new OpcionesWidget(array('calcular_totales_desde_cesta' => true, 'dataUpdate' => 'bloque_total_cesta'));
					new Widget($_WH->GW('cesta_compra', 'totales_cesta'), $opciones);
				?>
				</div>
				<?php
				if($usuario){
					//Botón de finalizar de la pasarela de pago elegida:
					$opciones = new OpcionesWidget(array('ruta_fichero' => 'boton_finalizar', 'dataUpdate' => 'bloque_tipo_envio'));
					new Widget($_WH->GW('cesta_compra', 'totales_cesta'), $opciones);
				}
				?>
			<?php
			}else{
				//Si no hay productos en la cesta mostramos cesta vacia
				Theme::include_file('cab_cesta.php');
				Theme::include_file('trozo_cesta_vacia.php');
			}
			?>			
			
		</div>
	</div>
</div>

<?php
Sesion::remove('estado_registro');
Sesion::remove('datos_usuario_registro');
Sesion::remove('resultado_login');
Sesion::remove('datos_login');
